const { WebSocketServer } = require('ws');
const upgradeWSS = require('../SmartWebSocketServer.js');

const wss = new WebSocketServer({ port: 8082 });

upgradeWSS(wss);

wss.on("u_connection", (ws) => {
	console.log("connected");
	ws.sendEvent("test", { "abc" : 123 });
});

wss.on("listening", () => {
	console.log("listening...");
})